(*
 * aKEY -- registration key system (keycheck)
 *
 * Delphi interface to keycheck.dll
 *
 * Copyright (c) 2000-2002 by Joergen Ibsen / Jibz
 * All Rights Reserved
 *
 *)

unit keycheck;

interface

uses
  Windows;

  function aKEY_decode_key(Encoded_Key : Pointer;
                           Key : Pointer;
                           Length : DWORD) : DWORD;stdcall;

  function aKEY_check_key(Key : Pointer;
                          Length : DWORD) : DWORD;stdcall;

  function aKEY_get_user_data(Key : Pointer) : Pointer;stdcall;

  function aKEY_get_first_block(Key : Pointer) : Pointer;stdcall;

  function aKEY_get_next_block(Current_Block : Pointer) : Pointer;stdcall;

implementation

const
  DLL = 'keycheck.dll';

  function aKEY_decode_key(Encoded_Key : Pointer;
                           Key : Pointer;
                           Length : DWORD) : DWORD;stdcall;external DLL;

  function aKEY_check_key(Key : Pointer;
                          Length : DWORD) : DWORD;stdcall;external DLL;

  function aKEY_get_user_data(Key : Pointer) : Pointer;stdcall;external DLL;

  function aKEY_get_first_block(Key : Pointer) : Pointer;stdcall;external DLL;

  function aKEY_get_next_block(Current_Block : Pointer) : Pointer;stdcall;external DLL;

end.
