/*
 * aKEY -- registration key system (keycheck)
 *
 * Watcom C/C++ header file
 *
 * Copyright (c) 2000-2002 by Joergen Ibsen / Jibz
 * All Rights Reserved
 */

#ifndef __KEYCHECK_H_INCLUDED
#define __KEYCHECK_H_INCLUDED

#ifdef __cplusplus
extern "C" {
#endif

int __cdecl aKEY_decode_key(char *encoded_key, char *key, int length);

int __cdecl aKEY_check_key(char *key, int length);

char * __cdecl aKEY_get_user_data(char *key);

void * __cdecl aKEY_get_first_block(char *key);

void * __cdecl aKEY_get_next_block(void *current_block);

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif // __KEYCHECK_H_INCLUDED
