/*
 * aKEY -- registration key system (keycheck)
 *
 * DLL header file
 *
 * Copyright (c) 2000-2002 by Joergen Ibsen / Jibz
 * All Rights Reserved
 */

#ifndef __KEYCHECK_H_INCLUDED
#define __KEYCHECK_H_INCLUDED

#ifdef __cplusplus
extern "C" {
#endif

__declspec(dllexport) int __stdcall aKEY_decode_key(char *encoded_key, char *key, int length);

__declspec(dllexport) int __stdcall aKEY_check_key(char *key, int length);

__declspec(dllexport) char * __stdcall aKEY_get_user_data(char *key);

__declspec(dllexport) void * __stdcall aKEY_get_first_block(char *key);

__declspec(dllexport) void * __stdcall aKEY_get_next_block(void *current_block);

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif // __KEYCHECK_H_INCLUDED
